# 36.51. table\_constraints

The view `table_constraints` contains all constraints belonging to tables that the current user owns or has some privilege other than `SELECT` on.

#### **Table 36.49. `table_constraints` Columns**

| Name                 | Data Type        | Description                                                                     |
| -------------------- | ---------------- | ------------------------------------------------------------------------------- |
| `constraint_catalog` | `sql_identifier` | Name of the database that contains the constraint (always the current database) |
| `constraint_schema`  | `sql_identifier` | Name of the schema that contains the constraint                                 |
| `constraint_name`    | `sql_identifier` | Name of the constraint                                                          |
| `table_catalog`      | `sql_identifier` | Name of the database that contains the table (always the current database)      |
| `table_schema`       | `sql_identifier` | Name of the schema that contains the table                                      |
| `table_name`         | `sql_identifier` | Name of the table                                                               |
| `constraint_type`    | `character_data` | Type of the constraint: `CHECK`, `FOREIGN KEY`, `PRIMARY KEY`, or `UNIQUE`      |
| `is_deferrable`      | `yes_or_no`      | `YES` if the constraint is deferrable, `NO` if not                              |
| `initially_deferred` | `yes_or_no`      | `YES` if the constraint is deferrable and initially deferred, `NO` if not       |
| `enforced`           | `yes_or_no`      | Applies to a feature not available in PostgreSQL (currently always `YES`)       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/16/client-interfaces/the-information-schema/table_constraints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
